#include "loggers.hh"
#include "LibNGAP_EncdecDeclarations.hh"
//#include "ngap_codec.hh"

namespace LibNGAP__EncdecDeclarations {

  BITSTRING fx__enc__PDUSessionResourceSetupRequestTransfer(const NGAP__IEs::PDUSessionResourceSetupRequestTransfer &p) {
    loggers::get_instance().log_msg(">>> fx__enc__PDUSessionResourceSetupRequestTransfer ", p);
    return int2bit(0, 1);
  }

  INTEGER fx__dec__PDUSessionResourceSetupRequestTransfer(BITSTRING &b, NGAP__IEs::PDUSessionResourceSetupRequestTransfer &p) {
    loggers::get_instance().log(">>> fx__dec__PDUSessionResourceSetupRequestTransfer");
    return -1;
  }

  /****************************************************
   * @desc    External function to encode a .... type
   * @param   value to encode
   * @return  encoded value
   ****************************************************/
  /*BITSTRING fx__enc__ProtocolIE(const LibNGAP__TypesAndValues::ProtocolIE &p) {  
      loggers::get_instance().log_msg(">>> fx__enc__ProtocolIE:: ", p);
      ngap_codec  codec;
      OCTETSTRING os;
      if (codec.encode(p.IE(), os) == -1) {
      loggers::get_instance().warning("fx__enc__ProtocolIE -1 result code was returned");
      return int2bit(0, 1);
    }

    return oct2bit(os);

      return int2bit(0, 8); 
  }*/

  /****************************************************
   * @desc    External function to decode a .... type
   * @param   value to encode
   * @return  encoded value
   ****************************************************/

  /*INTEGER fx__dec__ProtocolIE(BITSTRING &b, LibNGAP__TypesAndValues::ProtocolIE &p) { 
      loggers::get_instance().log(">>> fx__dec__ProtocolIE::");
      return -1;
  }*/

} // namespace LibNGAP__EncdecDeclarations
